commit ca640d1185745665c61689b71c627e1d020a80b7
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Mar 5 08:01:13 2018 -0600

    Update NEWS for 2.42.3
    
    And fix a typo in COMPILING.md

 COMPILING.md |  2 +-
 NEWS         | 11 +++++++++--
 2 files changed, 10 insertions(+), 3 deletions(-)

commit a5b09da1a8aa21bacff3dd08fd5a5dcc56824144
Merge: 95c80417 1b95365b
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Fri Mar 2 20:32:46 2018 +0000

    Merge branch 'librsvg-2.42' into 'librsvg-2.42'
    
    Fix the tests that failed in 32 bits; integrate the i386 CI; rustfmt
    
    See merge request GNOME/librsvg!29

commit 1b95365b0a2e94df49653908924aa9b94c18cd35
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 2 09:48:17 2018 -0600

    Normalize the rustfmt of a few files I missed

 rsvg_internals/src/coord_units.rs |  4 ++--
 rsvg_internals/src/marker.rs      |  6 ++---
 rsvg_internals/src/viewport.rs    | 46 +++++++++++++++++++++------------------
 3 files changed, 30 insertions(+), 26 deletions(-)

commit 2d80b742243e65f4e145197caf1fa17bee0fc14a
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Thu Mar 1 14:32:27 2018 +0200

    clippy: remove 'redundant_closure'

 rsvg_internals/src/paint_server.rs | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c237298cb1f4eac39dca4166c6e12ccb912c69f1
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Thu Mar 1 14:28:11 2018 +0200

    clippy: remove 'needless_borrow's

 rsvg_internals/src/gradient.rs | 4 ++--
 rsvg_internals/src/node.rs     | 2 +-
 rsvg_internals/src/parsers.rs  | 2 +-
 rsvg_internals/src/pattern.rs  | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit f82011942296544fa48f6d509e61867250c9baf3
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Thu Mar 1 14:01:40 2018 +0200

    Rustfmt: Switch 'indent_style' to 'Block'.
    
    Temporarly switch to sidestep https://github.com/rust-lang-nursery/rustfmt/issues/2496
    so people can start using rustfmt and the CI test succed.

 .rustfmt.toml                      |    3 +-
 rsvg_internals/build.rs            |    5 +-
 rsvg_internals/src/aspect_ratio.rs |  520 ++++++++-----
 rsvg_internals/src/attributes.rs   |   19 +-
 rsvg_internals/src/bbox.rs         |   16 +-
 rsvg_internals/src/clip_path.rs    |   23 +-
 rsvg_internals/src/cnode.rs        |   88 ++-
 rsvg_internals/src/color.rs        |  252 ++++---
 rsvg_internals/src/coord_units.rs  |   23 +-
 rsvg_internals/src/drawing_ctx.rs  |  114 +--
 rsvg_internals/src/error.rs        |   34 +-
 rsvg_internals/src/gradient.rs     |  310 ++++----
 rsvg_internals/src/image.rs        |   77 +-
 rsvg_internals/src/length.rs       |  442 +++++++----
 rsvg_internals/src/link.rs         |   42 +-
 rsvg_internals/src/marker.rs       |  551 ++++++++------
 rsvg_internals/src/mask.rs         |   68 +-
 rsvg_internals/src/node.rs         |  203 ++---
 rsvg_internals/src/opacity.rs      |   92 ++-
 rsvg_internals/src/paint_server.rs |  231 +++---
 rsvg_internals/src/parsers.rs      |  112 +--
 rsvg_internals/src/path_builder.rs |   83 +-
 rsvg_internals/src/path_parser.rs  | 1460 +++++++++++++++++++++---------------
 rsvg_internals/src/pattern.rs      |  160 ++--
 rsvg_internals/src/property_bag.rs |   55 +-
 rsvg_internals/src/shapes.rs       |  291 ++++---
 rsvg_internals/src/space.rs        |  113 ++-
 rsvg_internals/src/state.rs        |    8 +-
 rsvg_internals/src/stop.rs         |   53 +-
 rsvg_internals/src/structure.rs    |  325 ++++----
 rsvg_internals/src/text.rs         |   25 +-
 rsvg_internals/src/transform.rs    |  313 ++++----
 rsvg_internals/src/viewbox.rs      |   70 +-
 rsvg_internals/src/viewport.rs     |  166 ++--
 34 files changed, 3817 insertions(+), 2530 deletions(-)

commit ee1e10527f2010445de5d7580f83274a63cc8717
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 18:48:50 2018 +0200

    rustfmt: Change the layout of 'import' and 'use'.

 .rustfmt.toml             |  4 ++-
 rsvg_internals/src/lib.rs | 89 +++++++++++++++++++++++++++++++++++------------
 2 files changed, 70 insertions(+), 23 deletions(-)

commit 61ec26183a0f3c0f070f7056b2bf91bc690212dd
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 18:42:03 2018 +0200

    rustfmt: Skip the attribute slice in build.rs

 rsvg_internals/build.rs | 295 ++++++++++++++++++++++++------------------------
 1 file changed, 149 insertions(+), 146 deletions(-)

commit 3765b24d962a2779a028778d34e3f896ec0c4c55
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 15:11:42 2018 +0200

    Normalize comments.

 .rustfmt.toml                      |   2 +-
 rsvg_internals/src/aspect_ratio.rs |  60 ++++------
 rsvg_internals/src/bbox.rs         |  17 ++-
 rsvg_internals/src/color.rs        |  29 ++---
 rsvg_internals/src/coord_units.rs  |   6 +-
 rsvg_internals/src/error.rs        |  16 +--
 rsvg_internals/src/gradient.rs     |  34 +++---
 rsvg_internals/src/image.rs        |  20 ++--
 rsvg_internals/src/length.rs       | 182 ++++++++++++----------------
 rsvg_internals/src/link.rs         |   3 +-
 rsvg_internals/src/marker.rs       | 235 ++++++++++++++++---------------------
 rsvg_internals/src/mask.rs         |  20 ++--
 rsvg_internals/src/node.rs         |  21 ++--
 rsvg_internals/src/opacity.rs      |  18 +--
 rsvg_internals/src/paint_server.rs |   8 +-
 rsvg_internals/src/path_builder.rs |  26 ++--
 rsvg_internals/src/path_parser.rs  |  62 ++++------
 rsvg_internals/src/shapes.rs       |  57 ++++-----
 rsvg_internals/src/structure.rs    |  41 +++----
 rsvg_internals/src/viewbox.rs      |   2 +-
 20 files changed, 345 insertions(+), 514 deletions(-)

commit fda76326b0b23f7b940c47a75bad465dbcfeca80
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 13:57:36 2018 +0200

    Update rustfmt.

 rsvg_internals/src/link.rs         |  2 +-
 rsvg_internals/src/marker.rs       |  2 +-
 rsvg_internals/src/path_builder.rs |  2 +-
 rsvg_internals/src/shapes.rs       | 14 +++++++-------
 rsvg_internals/src/structure.rs    | 14 +++++++-------
 5 files changed, 17 insertions(+), 17 deletions(-)

commit ea0ba6aa6a257dc21be3abbf8bda26c9ff65392c
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 13:24:16 2018 +0200

    Copy .rustmft.toml config from rsvg-bench.

 .rustfmt.toml | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

commit b2848f6d306423581ed8ee8d2dfb5fbc07373c07
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Mar 2 13:01:46 2018 +0200

    gitlab-ci: Fix the cargo cache.

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2f441e2a7ca093cfbfd04baecb7419b273895a90
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Mar 2 12:03:34 2018 +0200

    gitlab-ci: Create .cargo_cache if it does not exist.

 .gitlab-ci.yml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 471549976fbbb91c81fdfc948e79aabcb7e84d69
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Mar 2 11:44:24 2018 +0200

    gitlab-ci: Do not share the case between branches.

 .gitlab-ci.yml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit b2f5b0f4356a994912ab6f298a4aa485fb528c8f
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 13:25:26 2018 +0200

    Rustfmt.

 rsvg_internals/build.rs            |  296 ++++----
 rsvg_internals/src/aspect_ratio.rs |  448 ++++++++----
 rsvg_internals/src/attributes.rs   |   23 +-
 rsvg_internals/src/bbox.rs         |  119 +--
 rsvg_internals/src/clip_path.rs    |   29 +-
 rsvg_internals/src/cnode.rs        |   93 ++-
 rsvg_internals/src/color.rs        |  255 ++++---
 rsvg_internals/src/coord_units.rs  |   30 +-
 rsvg_internals/src/drawing_ctx.rs  |  343 ++++-----
 rsvg_internals/src/error.rs        |   78 +-
 rsvg_internals/src/gradient.rs     |  598 ++++++++-------
 rsvg_internals/src/image.rs        |  114 +--
 rsvg_internals/src/length.rs       |  595 ++++++++-------
 rsvg_internals/src/lib.rs          |  228 ++----
 rsvg_internals/src/link.rs         |   53 +-
 rsvg_internals/src/marker.rs       | 1156 +++++++++++++++--------------
 rsvg_internals/src/mask.rs         |  128 ++--
 rsvg_internals/src/node.rs         |  425 +++++------
 rsvg_internals/src/opacity.rs      |  186 +++--
 rsvg_internals/src/paint_server.rs |  257 +++----
 rsvg_internals/src/parsers.rs      |  340 ++++-----
 rsvg_internals/src/path_builder.rs |  175 ++---
 rsvg_internals/src/path_parser.rs  | 1420 +++++++++++++++---------------------
 rsvg_internals/src/pattern.rs      |  423 ++++++-----
 rsvg_internals/src/property_bag.rs |   49 +-
 rsvg_internals/src/shapes.rs       |  456 ++++++------
 rsvg_internals/src/space.rs        |   60 +-
 rsvg_internals/src/state.rs        |   44 +-
 rsvg_internals/src/stop.rs         |  121 ++-
 rsvg_internals/src/structure.rs    |  523 ++++++-------
 rsvg_internals/src/text.rs         |   35 +-
 rsvg_internals/src/transform.rs    |  351 +++++----
 rsvg_internals/src/util.rs         |   10 +-
 rsvg_internals/src/viewbox.rs      |   66 +-
 rsvg_internals/src/viewport.rs     |   94 +--
 35 files changed, 4817 insertions(+), 4804 deletions(-)

commit 0e6d8573a0357f0b0066c05ee03c4e4898b594d4
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 13:28:21 2018 +0200

    gitlab-ci: Enable rustfmt.

 .gitlab-ci.yml | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 3f662dc8351ef6300f0ce3701a2921970122721c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 2 08:55:10 2018 -0600

    Add back --enable-gtk-doc --enable-vala
    
    We should always be testing documentation generation and generation of
    the Vala bindings.

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2010298e74eab2f6b0feac8123f412a7cae21eab
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 2 08:51:53 2018 -0600

    .gitlab-ci.yml: Factor out names of the Docker images, to keep them in a single place

 .gitlab-ci.yml | 36 ++++++++++++++++++++++++------------
 1 file changed, 24 insertions(+), 12 deletions(-)

commit 95c80417ae54be8aae4ab5d4c65d72a8500ab813
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Mar 2 14:22:03 2018 +0200

    gitlab-ci: Switch fedora tag to track amd64/fedora.

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0bc94045c5b74bcc0278faa4e611b51055a8c951
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 2 07:39:07 2018 -0600

    Sigh, allow MAX_DIFF=1 on x86_64 as before.  I shouldn't computer late at night.

 tests/rsvg-test.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f809230bfbb1dd0750c9ceaed5806194b731b718
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Mar 1 17:48:49 2018 -0600

    gitlab#178 - rsvg-test.c: On 32-bit, allow the maximum difference between color channels to be 10
    
    This is kind of a lousy reason, but i386 is getting max differences of
    9 in some text-rendering cases, with respect to the reference files
    generated on x86_64.
    
    An explanation of different floating-point units and how i386 uses
    80-bit extended precision for everything (by default, at least), while
    x86_64 uses different precisions depending on the instructions:
    
    https://stackoverflow.com/questions/22710272/difference-in-floating-point-arithmetics-between-x86-and-x64#22711132
    
    This is more or less a hack, but it will do for now.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/178

 tests/rsvg-test.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 49a4121dc04b1960e0a84f47c5f3611a0f00a70e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Mar 1 16:09:47 2018 -0600

    viewport.rs: in tests, use numbers that can be represented exactly as f64
    
    In clip_to_viewport(), we were expecting a result of 0.2, which can't
    be represented exactly.  So, the resulting matrix with 0.2 components
    in it wasn't being compared successfully on i386.
    
    (why was it fine on x86_64?)
    
    We'll need some bigger guns for asserting on float "equality", it seems.

 rsvg_internals/src/viewport.rs | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 130007b3a4de3e69608a0687666f802e4dfc2bf5
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Mar 1 16:24:05 2018 -0600

    .gitlab-ci.yml: Put LIBRSVG_DEBUG in the variables: section, not as shell exports
    
    Hopefully this way they will get merged correctly into the distro_test hash?

 .gitlab-ci.yml | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 748153e93b8fb2e85390aa16179d3cf8b5582299
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Mar 1 15:30:44 2018 -0600

    .gitlab-ci.yml: Build all the distros for the librsvg-2.42 branch

 .gitlab-ci.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 188693f39b9859c758a0d27ff3b862da0f95c4db
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Mar 1 15:24:21 2018 -0600

    Disable vala for now; it's just not working

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 459260961c82366be6f3d9390639e3e73f0b9b13
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 10:20:42 2018 +0200

    Gitlab-ci: Add i386 release build.

 .gitlab-ci.yml | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 5d396a821c78c68a2c9cb34d3181892effeb11e1
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Wed Feb 28 10:16:23 2018 +0200

    Gitlab-ci: Merge debug and release builds so they can be run in parallel.

 .gitlab-ci.yml | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 7e3a0e11084dd4ef952d71bf52fc18ba71dcc415
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 23:35:29 2018 +0200

    Gitlab-ci: Add an i386 build.

 .gitlab-ci.yml | 47 +++++++++++++++++++++++++++++++----------------
 1 file changed, 31 insertions(+), 16 deletions(-)

commit ce1cbabc1c463e1f026a891f9db58ffe674e3f43
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Feb 27 15:27:55 2018 -0600

    Enable gtk-doc and vala at autogen time for CI

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5f7d0bce8b5cf623fbcb63d7864bfa2a0ef8c9a
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 22:01:41 2018 +0200

    Gitlab-CI: Remove template duplication.

 .gitlab-ci.yml | 58 ++++++++++++++++++++--------------------------------------
 1 file changed, 20 insertions(+), 38 deletions(-)

commit b1a4bfe98251c2975ea3da6610b878f080d70827
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Feb 27 13:48:42 2018 -0600

    Add a LIBRSVG_DEBUG=yes env var for configure; works like --enable-debug

 COMPILING.md | 17 ++++++++++++-----
 configure.ac | 10 +++++++++-
 2 files changed, 21 insertions(+), 6 deletions(-)

commit 3a8a5576fc28dd146a70e8058e89e44800b4cbed
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 21:41:50 2018 +0200

    Gitlab-CI: Fix typo.

 .gitlab-ci.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d453061d60720832e42ed80e8d55cf29c78916fd
Merge: 4ac4cd4d f8170003
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Tue Feb 27 14:26:23 2018 +0000

    Merge branch 'macos-docs' into 'master'
    
    Add docs for installing dependencies and build on macOS
    
    Closes #209
    
    See merge request GNOME/librsvg!21

commit 4ac4cd4d268692a286324ae7470c5761e18a8736
Merge: e1fc59d3 e199e205
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Tue Feb 27 14:23:27 2018 +0000

    Merge branch 'more-gitlab-ci' into 'master'
    
    Realease Build tests and CCache
    
    See merge request GNOME/librsvg!22

commit e199e20558b915be815ed3a701fa9b7bd943f7d5
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 11:06:54 2018 +0200

    Gitlab-CI: Add a state to test cross-distro builds in release mode.
    
    This is intended to be run only for:
    
    * scheduled pipelines
    * tags
    * manually requested pipelines from the web gui

 .gitlab-ci.yml | 64 ++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 53 insertions(+), 11 deletions(-)

commit 6608fc1538bf987d79461a171f9ca13af226bd77
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 10:31:19 2018 +0200

    Fix indentation.

 .gitlab-ci.yml | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 21820e497840c69da44ef12e4e9616b76a3acabe
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Tue Feb 27 10:09:44 2018 +0200

    Enable ccache.

 .gitlab-ci.yml | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit 27121aacb7cc9af1e508937474d83468d49390f0
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Mon Feb 26 19:57:53 2018 +0200

    gitlab-ci: Add a build in release mode.

 .gitlab-ci.yml | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit f8170003ac7bf80e7165b55369e974658f5dde38
Author: Brion Vibber <brion@pobox.com>
Date:   Sun Feb 25 21:37:41 2018 -0800

    Add docs for installing dependencies and build on macOS
    
    Updates COMPILING.md with macOS setup instructions.
    
    Deps from Homebrew are mostly straightforward, but there are
    a couple oddities due to interaction between system packages
    and the Homebrew packages.
    
    Fixes https://gitlab.gnome.org/GNOME/librsvg/issues/209

 COMPILING.md | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit e1fc59d31b8f419fa90ab20f6d44312e0858ae7d
Merge: 1ffa7f5b b99891e3
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Mon Feb 26 14:51:02 2018 +0000

    Merge branch 'auto-Bsymbolic' into 'master'
    
    Auto-detect -Bsymbolic, fixes configure on macOS
    
    Closes #211
    
    See merge request GNOME/librsvg!20

commit b99891e31eb6ce550e7e1cb2ca592095b3050a93
Author: Brion Vibber <brion@pobox.com>
Date:   Sun Feb 25 18:42:36 2018 -0800

    Auto-detect -Bsymbolic, fixes configure on macOS
    
    The -Bsymbolic linker option is ELF-specific, and was breaking
    configure on macOS unless --disable-Bsymbolic was explicitly passed.
    
    Switching the behavior from requiring -Bsymbolic to be available
    by default to just warning and continuing on without.
    
    Fixes https://gitlab.gnome.org/GNOME/librsvg/issues/211

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ffa7f5b4f6fd7bbf86e25f79ae2aa985364c45e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 21:34:10 2018 -0600

    Update NEWS

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 540e055f91cac03cd435b846cc04e81d1bfcb6d7
Merge: e3adc1a0 2699eebe
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Sat Feb 24 03:22:29 2018 +0000

    Merge branch 'font-size-relative' into 'master'
    
    Font size relative
    
    See merge request GNOME/librsvg!19

commit 2699eebe91e1e9458877c4a77aab69495107d206
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 21:15:45 2018 -0600

    gitlab#108 - Support font-size:larger and font-size:smaller
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/108

 librsvg/rsvg-css.c                                 |  33 +++++++++---
 rsvg_internals/src/length.rs                       |   5 +-
 .../reftests/bugs/108-font-size-relative-ref.png   | Bin 0 -> 2297 bytes
 .../reftests/bugs/108-font-size-relative.svg       |  60 +++++++++++++++++++++
 4 files changed, 89 insertions(+), 9 deletions(-)

commit 4e83eb0b14c062eb2e259655bd6f141f43f5ef97
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 21:12:59 2018 -0600

    rsvg-text: Remove old workaround for zero-sized text

 librsvg/rsvg-text.c                                  |  4 ----
 .../fixtures/render-crash/581491-zero-sized-text.svg | 20 ++++++++++++++++++++
 2 files changed, 20 insertions(+), 4 deletions(-)

commit e3adc1a0ee8c090550c7456467a47ecd589e20b9
Merge: 631dcd93 1d7004b5
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Sat Feb 24 02:22:29 2018 +0000

    Merge branch 'delayed-svg-attributes' into 'master'
    
    gitlab#112 - Apply style attributes for SVG elements
    
    See merge request GNOME/librsvg!18

commit 1d7004b51b38c09c02892e7c0e5cafbae594d11c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 20:05:52 2018 -0600

    gitlab#112 - Apply style attributes for SVG elements
    
    We were applying them only for the toplevel <svg> element; they need
    to be applied for all <svg> elements in the drawing.
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/112

 librsvg/rsvg-base.c                                        |  10 ++++------
 .../reftests/bugs/112-svg-delayed-attributes-ref.png       | Bin 0 -> 81 bytes
 .../fixtures/reftests/bugs/112-svg-delayed-attributes.svg  |   6 ++++++
 3 files changed, 10 insertions(+), 6 deletions(-)

commit 631dcd932446b7a67365aa8dda73072b9d50fd0c
Merge: e2263b64 c1d93ead
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Sat Feb 24 00:03:21 2018 +0000

    Merge branch 'check-rustc-version' into 'master'
    
    gitlab#205 - configure.ac: Check the minimum version of rustc (1.20)
    
    See merge request GNOME/librsvg!17

commit c1d93ead0270f217650493805ba2fe3efb1f5b6f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 17:54:34 2018 -0600

    gitlab#205 - configure.ac: Check the minimum version of rustc (1.20)
    
    https://gitlab.gnome.org/GNOME/librsvg/issues/205

 configure.ac | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit e2263b643200f548b597e8049f97d143c6d4ac49
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 15:57:07 2018 -0600

    tests/README.md: Rename rust/ to rsvg_internals/

 tests/README.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28ea3cb7d35df40acbc014b7797830ed274895c6
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 15:04:12 2018 -0600

    parses_stroke_dasharray() - Don't use discriminant checks; use PartialEq comparisons
    
    The code is prettier this way, and doesn't require Rust 1.21.

 rsvg_internals/src/length.rs | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 950efcaa3e6ddbb45522a8309b91120e8f60ad05
Merge: 6c8e3979 8b7ea05f
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Fri Feb 23 20:37:30 2018 +0000

    Merge branch 'custom-registry' into 'master'
    
    Custom registry
    
    See merge request GNOME/librsvg!15

commit 6c8e3979066bf08898a8a159788154b1adf0a4c1
Merge: 78686210 878e8a2a
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Fri Feb 23 20:33:25 2018 +0000

    Merge branch 'adjust-ci-workspace' into 'master'
    
    Gitlab-ci: Adjust to the cargo workspace.
    
    See merge request GNOME/librsvg!14

commit 78686210efae6e0002d17f33fa60a1457dc39a31
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 23 14:24:43 2018 -0600

    Update NEWS

 NEWS | 30 ++++++++++++++++++++++++------
 1 file changed, 24 insertions(+), 6 deletions(-)

commit d7de0e1cea704ad123b6cfff9fca71e200e73edc
Merge: 311b9f0a 0b629703
Author: Federico Mena Quintero <federico.mena@gmail.com>
Date:   Fri Feb 23 20:05:50 2018 +0000

    Merge branch 'support-a-links-for-pdf' into 'master'
    
    Support <a> links for PDF output
    
    Closes #204
    
    See merge request GNOME/librsvg!12

commit 8b7ea05fe9dbee4fd9f41e7e7cb58ddc6cd15c33
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 15:13:19 2018 +0000

    Gitlab-ci: Set a cache policy that isolates each job.

 .gitlab-ci.yml | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 76fc79df2abb6a18ebcc11ad3ea68d9f67f4dbff
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 14:36:38 2018 +0000

    Try to cache the cargo Home.

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dac07458d5ad6485b12928b56117bb46d5b405d1
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 13:39:33 2018 +0000

    Try caching rust artifacts.

 .gitlab-ci.yml | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit b8c3259dd6455bc9ec25e994075bd65fb841c199
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 13:35:26 2018 +0000

    Add a test for fedora rawhide.

 .gitlab-ci.yml | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 1182b64a96866f53d26623e78ebeb40e6130b9e7
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 13:33:11 2018 +0000

    Use custom OCI images instead of building a new enviroment from scratch each time.

 .gitlab-ci.yml | 51 ++++++++++++++++++---------------------------------
 1 file changed, 18 insertions(+), 33 deletions(-)

commit 0b6297030db215a2cfebee55540e151e8d863afc
Author: Dmitry Kontsevoy <dmitry.kontsevoy@gmail.com>
Date:   Wed Feb 21 10:17:42 2018 +0300

    support <a> links for PDF output

 Makefile.am                |   1 +
 librsvg/rsvg-base.c        |   2 +-
 librsvg/rsvg-private.h     |   1 +
 librsvg/rsvg-structure.h   |   4 ++
 rsvg_internals/src/lib.rs  |   5 ++
 rsvg_internals/src/link.rs | 129 +++++++++++++++++++++++++++++++++++++++++++++
 rsvg_internals/src/node.rs |   1 +
 7 files changed, 142 insertions(+), 1 deletion(-)

commit f67d2ef2d0e66c092856f50d72e6cb732e5c4326
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 11:19:29 2018 +0000

    gitlab-ci: Test using a custom OCI registry and image to run tests.

 .gitlab-ci.yml | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

commit 311b9f0ae10d353ae54f47955b1d91c79aab4458
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 23 17:57:55 2018 +0800

    win32/rsvg-rust.mak: Fix 'clean' target
    
    We need to go into $(srcroot)/rsvg_internals to do the cleanups, as
    well.

 win32/rsvg-rust.mak | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0563e88274a4d5c202cb07c45f6d18b3d0acb7f3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 23 17:48:18 2018 +0800

    Makefile.am: Fix MSVC header "installation"
    
    Avoid having "librsvg" in the header destination directory twice as we
    already have it in the headers listing.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cf698710ad99e574bb4a91e41d2707b056bcd1e8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 23 17:39:06 2018 +0800

    rsvg-convert.c: Fix build Windows
    
    setmode() requires one to include io.h, and optionally fcntl.h.

 rsvg-convert.c | 1 +
 1 file changed, 1 insertion(+)

commit 878e8a2a0ad6f009a9d67d01844380fe490119c5
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Fri Feb 23 06:01:53 2018 +0000

    Gitlab-ci: Adjust to the cargo workspace.

 .gitlab-ci.yml | 2 --
 1 file changed, 2 deletions(-)

commit 900b31fa105089c186ee688a4ef87a3411169512
Merge: 2c306032 caceae34
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 20:25:22 2018 -0600

    Merge branch 'librsvg-cargo-workspace'

commit caceae34524c1d901286412c6b058d723c132d3e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 20:22:22 2018 -0600

    Update Vala deprecation syntax

 Rsvg-2.0-custom.vala | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit e02c61bdc5ea9eb2d96298b0c1d661e035a43ee1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 20:04:38 2018 -0600

    configure.ac: Print whether gtk-doc is enabled

 configure.ac | 1 +
 1 file changed, 1 insertion(+)

commit 60bbd74d53e4fab1c2c4fc87b4bd20b82ef23725
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 20:03:19 2018 -0600

    Update .gitignore

 .gitignore | 4 ++++
 1 file changed, 4 insertions(+)

commit d6d88b75d7ac38152467288d092bde1e81ab10f3
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:53:45 2018 -0600

    Fix paths in doc/Makefile.am

 doc/Makefile.am | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit b60d6e8889fcffde7ef95c74a1e7419de231aad3
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:50:59 2018 -0600

    win32: tweak Rust path in rsvg-rust.mak

 win32/rsvg-rust.mak | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fceb421346cb7389b0516675eb6adfad47992257
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:39:22 2018 -0600

    Fix include paths in tests/

 tests/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit efe64ee822f666ba6dce34db265c9826f686a8cb
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:38:55 2018 -0600

    Makefile.am: fix include path in the generated librsvg-enum-types.c

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 087073fb09c63d4043c3f5f8154678d352e212fc
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:25:22 2018 -0600

    Move everything under rust/ one level up in the hierarchy
    
    Our toplevel directory will be the crate root.

 rust/Cargo.lock => Cargo.lock                      |  0
 rust/Cargo.toml => Cargo.toml                      |  0
 Makefile.am                                        | 97 +++++++++++-----------
 rust/cargo-vendor-config => cargo-vendor-config    |  0
 {rust/rsvg_internals => rsvg_internals}/Cargo.toml |  0
 {rust/rsvg_internals => rsvg_internals}/build.rs   |  0
 .../src/aspect_ratio.rs                            |  0
 .../src/attributes.rs                              |  0
 .../rsvg_internals => rsvg_internals}/src/bbox.rs  |  0
 .../rsvg_internals => rsvg_internals}/src/chars.rs |  0
 .../src/clip_path.rs                               |  0
 .../rsvg_internals => rsvg_internals}/src/cnode.rs |  0
 .../rsvg_internals => rsvg_internals}/src/color.rs |  0
 .../src/coord_units.rs                             |  0
 .../src/drawing_ctx.rs                             |  0
 .../rsvg_internals => rsvg_internals}/src/error.rs |  0
 .../src/gradient.rs                                |  0
 .../src/handle.rs                                  |  0
 .../rsvg_internals => rsvg_internals}/src/image.rs |  0
 .../src/length.rs                                  |  0
 {rust/rsvg_internals => rsvg_internals}/src/lib.rs |  0
 .../src/marker.rs                                  |  0
 .../rsvg_internals => rsvg_internals}/src/mask.rs  |  0
 .../rsvg_internals => rsvg_internals}/src/node.rs  |  0
 .../src/opacity.rs                                 |  0
 .../src/paint_server.rs                            |  0
 .../src/parse_transform.lalrpop                    |  0
 .../src/parsers.rs                                 |  0
 .../src/path_builder.rs                            |  0
 .../src/path_parser.rs                             |  0
 .../src/pattern.rs                                 |  0
 .../src/property_bag.rs                            |  0
 .../src/shapes.rs                                  |  0
 .../rsvg_internals => rsvg_internals}/src/space.rs |  0
 .../rsvg_internals => rsvg_internals}/src/state.rs |  0
 .../rsvg_internals => rsvg_internals}/src/stop.rs  |  0
 .../src/structure.rs                               |  0
 .../rsvg_internals => rsvg_internals}/src/text.rs  |  0
 .../src/transform.rs                               |  0
 .../rsvg_internals => rsvg_internals}/src/util.rs  |  0
 .../src/viewbox.rs                                 |  0
 .../src/viewport.rs                                |  0
 42 files changed, 49 insertions(+), 48 deletions(-)

commit 9cb0bb85ab5c05e54f34b64148b419ed1bbd6701
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 22 19:09:12 2018 -0600

    Move the C part of the library to a librsvg/ subdirectory
    
    Avoid having everything in the toplevel.  Modified source files to

 Makefile.am                                        | 138 ++++++++++-----------
 configure.ac                                       |   6 +-
 gdk-pixbuf-loader/io-svg.c                         |   2 +-
 librsvg-features.c => librsvg/librsvg-features.c   |   0
 .../librsvg-features.h.in                          |   0
 rsvg-attributes.h => librsvg/rsvg-attributes.h     |   0
 .../rsvg-base-file-util.c                          |   0
 rsvg-base.c => librsvg/rsvg-base.c                 |   0
 rsvg-cairo-clip.c => librsvg/rsvg-cairo-clip.c     |   0
 rsvg-cairo-clip.h => librsvg/rsvg-cairo-clip.h     |   0
 rsvg-cairo-draw.c => librsvg/rsvg-cairo-draw.c     |   0
 rsvg-cairo-draw.h => librsvg/rsvg-cairo-draw.h     |   0
 rsvg-cairo-render.c => librsvg/rsvg-cairo-render.c |   0
 rsvg-cairo-render.h => librsvg/rsvg-cairo-render.h |   0
 rsvg-cairo.h => librsvg/rsvg-cairo.h               |   0
 rsvg-cond.c => librsvg/rsvg-cond.c                 |   0
 rsvg-css.c => librsvg/rsvg-css.c                   |   0
 rsvg-css.h => librsvg/rsvg-css.h                   |   0
 rsvg-defs.c => librsvg/rsvg-defs.c                 |   0
 rsvg-defs.h => librsvg/rsvg-defs.h                 |   0
 rsvg-file-util.c => librsvg/rsvg-file-util.c       |   0
 rsvg-filter.c => librsvg/rsvg-filter.c             |   0
 rsvg-filter.h => librsvg/rsvg-filter.h             |   0
 rsvg-handle.c => librsvg/rsvg-handle.c             |   0
 rsvg-io.c => librsvg/rsvg-io.c                     |   0
 rsvg-io.h => librsvg/rsvg-io.h                     |   0
 rsvg-marker.h => librsvg/rsvg-marker.h             |   0
 rsvg-mask.h => librsvg/rsvg-mask.h                 |   0
 rsvg-paint-server.h => librsvg/rsvg-paint-server.h |   0
 rsvg-path-builder.h => librsvg/rsvg-path-builder.h |   0
 rsvg-private.h => librsvg/rsvg-private.h           |   0
 rsvg-shapes.h => librsvg/rsvg-shapes.h             |   0
 .../rsvg-size-callback.c                           |   0
 .../rsvg-size-callback.h                           |   0
 rsvg-structure.h => librsvg/rsvg-structure.h       |   0
 rsvg-styles.c => librsvg/rsvg-styles.c             |   0
 rsvg-styles.h => librsvg/rsvg-styles.h             |   0
 rsvg-text.c => librsvg/rsvg-text.c                 |   0
 rsvg-text.h => librsvg/rsvg-text.h                 |   0
 rsvg-xml.c => librsvg/rsvg-xml.c                   |   0
 rsvg-xml.h => librsvg/rsvg-xml.h                   |   0
 rsvg.h => librsvg/rsvg.h                           |   0
 rsvg-convert.c                                     |   6 +-
 rsvg-view.c                                        |   4 +-
 tests/Makefile.am                                  |  19 +--
 tests/api.c                                        |   2 +-
 tests/crash.c                                      |   2 +-
 tests/dimensions.c                                 |   2 +-
 tests/loading.c                                    |   2 +-
 tests/render-crash.c                               |   2 +-
 tests/rsvg-test.c                                  |   2 +-
 tests/styles.c                                     |  10 +-
 tools/Makefile.am                                  |   2 +-
 tools/rsvg-dimensions.c                            |   2 +-
 tools/rsvg-tools-main.c                            |   4 +-
 55 files changed, 103 insertions(+), 102 deletions(-)

commit fd214c48d20a97ae7f99d3b5979011edd6010919
Author: Jordan Petridis <jordanpetridis@protonmail.com>
Date:   Sat Feb 10 01:33:17 2018 +0200

    Initial switch to a cargo workspace.

 Makefile.am                                        | 78 +++++++++++-----------
 rust/Cargo.lock                                    |  6 +-
 rust/Cargo.toml                                    | 53 ++-------------
 rust/rsvg_internals/Cargo.toml                     | 51 ++++++++++++++
